<?php

namespace Modules\Lpj\Models;

use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\Factories\HasFactory;
// use Modules\Lpj\Database\Factories\PenilaiFactory;

class Penilai extends Base
{
    use HasFactory;

    protected $table = 'penilai';
    /**
     * The attributes that are mass assignable.
     */
    protected $guarded = ['id'];

    // protected static function newFactory(): PenilaiFactory
    // {
    //     // return PenilaiFactory::new();
    // }
    public function dokument(){
        return $this->belongsTo(DokumenJaminan::class);
    }
    public function permohonan(){
        return $this->belongsTo(Permohonan::class);
    }
    public function inspeksi(){
        return $this->belongsTo(Inspeksi::class);
    }

    public function penilai_nilai_likuidasi(){
        return $this->hasMany(PenilaiNilaiLikuidasi::class);
    }

}
